=== debian/changelog ===
s2geometry (0.10.0-6.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:18 +1100

s2geometry (0.10.0-6.1build3) noble; urgency=medium

  * No-change rebuild against libabsl t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 18:09:05 +0100

s2geometry (0.10.0-6.1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:19:40 +0000

s2geometry (0.10.0-6.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:21:50 +0100

s2geometry (0.10.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062876

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:37:54 +0000

s2geometry (0.10.0-6) unstable; urgency=medium

  * Team upload.
  * Really fix ppc64el patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 21 Nov 2022 08:50:19 +0100

s2geometry (0.10.0-5) unstable; urgency=medium

  * Team upload.
  * Fix build on ppb64el

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 22:52:36 +0100

s2geometry (0.10.0-4) unstable; urgency=medium

  * Team upload.

  [ Sebastian Spaeth ]
  * d/patches: Fix nonvoid can return void build warning
  * s/changelog: Silence build warning
  * d/patches: Apply patch only on powerpc arches

  [ Jochen Sprickerhof ]
  * Apply Multi-Arch hints from the MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 16:43:19 +0100

s2geometry (0.10.0-3) unstable; urgency=medium

  * Team upload.

  [ Sebastian Spaeth ]
  * d/control: Fix typo in Maintainer name
  * libs2-dev depends upon libabsl-dev (>= 0~20220623)
  * d/control: -dev package requires libssl-dev
  * Fix FTBS for s390x

  [ Jochen Sprickerhof ]
  * Fix build on ppc64el
  * Fix compilation for multiple Python versions (Closes: #1023961)
  * Add MA hint from the MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Nov 2022 11:35:56 +0100

s2geometry (0.10.0-2) unstable; urgency=medium

  * Add python3-pywraps2 bindings

 -- Sebastian Spaeth <Sebastian@SSpaeth.de>  Thu, 27 Oct 2022 12:13:13 +0200

s2geometry (0.10.0-1) unstable; urgency=medium

  * Initial release. (Closes: #962686: ITP: s2geometry -- Computational
    geometry and spatial indexing on the sphere http://s2geometry.io/)

 -- Sebastian Spaeth <Sebastian@SSpaeth.de>  Tue, 25 Oct 2022 13:02:12 +0200
