=== debian/control ===
Source: s2geometry
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Team <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Sebastian Spaeth <Sebastian@SSpaeth.de>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake, libssl-dev, libabsl-dev (>= 20220623.1-3.1),
               dh-sequence-python3, python3-all-dev, swig (>= 4.0)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://s2geometry.io
Description: manipulating geometric shapes with spherical geometry
 s2geometry is for manipulating geometric shapes. Unlike many geometry
 libraries, S2 is primarily designed to work with spherical geometry,
 i.e., shapes drawn on a sphere rather than on a planar 2D map.  This
 makes it especially suitable for working with geographic data.
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/s2geometry.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/s2geometry

Package: libs2-0t64
Provides: ${t64:Provides}
Replaces: libs2-0
Breaks: libs2-0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the shared library.

Package: libs2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libs2-0t64 (= ${binary:Version}), ${misc:Depends},
         libssl-dev, libabsl-dev (>= 0~20220623)
Description: ${source:Synopsis} - dev files
 ${source:Extended-Description}
 .
 This package provides headers and libraries for development.

Package: python3-pywraps2
Architecture: any
Section: python
Depends: libs2-0t64 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis} - Python bindings
 ${source:Extended-Description}
 .
 This package contains the Python bindings of the spatial s2 library.
