=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
# DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_CONFIGURE_ARGS=-DPYVER={version} -DBUILD_EXAMPLES=OFF -DWITH_PYTHON=ON
export PYBUILD_SYSTEM=cmake

%:
	dh $@ --buildsystem=pybuild
