=== debian/watch ===
version=4
https://github.com/google/s2geometry/tags .*/archive/refs/tags/v(\d\S*)\.tar\.gz
